app.factory('auth', ['$http', 'Config', function ($http, Config) {
    var data = {};
    data.advisorLogin = function (_data) {
        return $http({
            method: 'POST',
            async: true,
            crossDomain: true,
            data: _data,
            url: Config.ApiUrl + "advisor/auth/login"
        });
    }
    return data;
}])

app.factory('advisor', ['$http', 'Config', function ($http, Config) {
    var data = {};
    data.update = function (_data) {
        return $http({
            method: 'POST',
            async: true,
            crossDomain: true,
            data:_data,
            url: Config.ApiUrl + "advisor/contact/update"
        });
    }
    data.notifications = function () {
        return $http({
            method: 'GET',
            async: true,
            crossDomain: true,
            url: Config.ApiUrl + "notifications/"
        });
    }
    data.calender = function (_id) {
        return $http({
            method: 'GET',
            async: true,
            crossDomain: true,
            url: Config.ApiUrl + "calender/"+_id
        });
    }
    data.comission = function (_id) {
        return $http({
            method: 'GET',
            async: true,
            crossDomain: true,
            url: Config.ApiUrl + "advisor/comission/"+_id
        });
    }
    data.voucher = function (_id) {
        return $http({
            method: 'GET',
            async: true,
            crossDomain: true,
            url: Config.ApiUrl + "advisor/myvoucher/"+_id
        });
    }
    data.payment = function (_id) {
        return $http({
            method: 'GET',
            async: true,
            crossDomain: true,
            url: Config.ApiUrl + "advisor/payment/"+_id
        });
    }
    data.chainlist = function (_id) {
        return $http({
            method: 'GET',
            async: true,
            crossDomain: true,
            url: Config.ApiUrl + "advisor/chainlist/"+_id
        });
    }
    data.directmember = function (_id) {
        return $http({
            method: 'GET',
            async: true,
            crossDomain: true,
            url: Config.ApiUrl + "advisor/directmember/"+_id
        });
    }
    return data;
}])